# DATE\_EQUAL

### Description

`DATE_EQUAL` takes two dates and returns `true` if they refer to the same calendar date (day, month, year), ignoring any time component.

If you need to compare two values including their time component, use [`DATETIME_EQUAL`](/rule-language/operators/date-operators/datetime_equal.md).

### Example

```
e is Entity
DATE_EQUAL(e.date_of_founding, '2016-02-29')
```

This returns `true` if the entity was founded on 29 February 2016.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/date-operators/date_equal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
